--牛魔寺庙二层在线回收
--配合挂机》触发设置使用
--在牛2进行挂机，包满进行物品存仓、回收沃玛套装、
--回收祖玛套装、回收赤月套装，然后继续挂机，依次循环
--如果挂机号意外死亡，会继续前往牛2进行挂机

--过回收验证
function 过验证()
	选择("@　　")
	等待(1500)
end

--物品处理
function 物品处理()
	--极品存仓
	local bsave=是否需要存()
	if bsave then
		喊话("@会员")
		等待(1500)
		选择("@49")
		等待(1500)
		选择("@-1")
		等待(1500)
		存()
	end
	--回收
	--沃玛套装
	local nWMnum=获取物品数量("[沃玛套装]")
	while nWMnum>0 do
		喊话("@会员")
		等待(1500)
		选择("@38")
		等待(1500)
		过验证()
		选择("@43")
		等待(1500)
		nWMnum=获取物品数量("[沃玛套装]")
	end
	--祖玛套装
	local nZMnum=获取物品数量("[祖玛套装]")
	while nZMnum>0 do
		喊话("@会员")
		等待(1500)
		选择("@38")
		等待(1500)
		过验证()
		选择("@45")
		等待(1500)
		nZMnum=获取物品数量("[祖玛套装]")
	end
	--赤月套装
	local nCYnum=获取物品数量("[赤月套装]")
	while nCYnum>0 do
		喊话("@会员")
		等待(1500)
		选择("@38")
		等待(1500)
		过验证()
		选择("@47")
		等待(1500)
		nCYnum=获取物品数量("[赤月套装]")
	end
	return 挂机()
end

--地图挂机
function 挂机()
	开始挂机()
	return 物品处理()
end

--开始
do
	清空周知物品()
	添加周知物品("沃玛套装","幽灵项链|龙之戒指|幽灵手套|铂金戒指|心灵手镯|天珠项链|红宝石戒指|思贝儿手镯|生命项链")
	添加周知物品("祖玛套装","力量戒指|骑士手镯|阎罗手套|绿色项链|黑铁头盔|泰坦戒指|三眼手镯|灵魂项链|紫碧螺|龙之手镯|恶魔铃铛")
	添加周知物品("赤月套装","圣战手镯|圣战头盔|圣战戒指|圣战项链|法神手镯|法神头盔|法神戒指|法神项链|天尊手镯|天尊头盔|天尊戒指|天尊项链")
	--挂机路线
	设置环状挂机路线()
	添加挂机路线点2("D2072",27,142,3)
	添加挂机路线点2("D2072",149,219,3)
	添加挂机路线点2("D2072",245,245,3)
	添加挂机路线点2("D2072",256,62,3)
	添加挂机路线点2("D2072",141,103,3)
	--开始
	local mapid=获取地图id()
	if mapid=="5" then
		移动到范围2("5",139,326,5)
		等待(1500)
		坐标对话(139,326)
		等待(1500)
		选择("@4")
		等待(2500)
	end
	挂机()
end
